*{
    padding: 0px;
    margin: 0px;
    box-sizing: border-box;
}

body{
    background-color: #040324;
    font-family: sans-serif;
    color: #a0a0a0;
    line-height: 1.6rem;
    box-shadow: inset 0px 0px 15px 2px black;
}

.main-container{
    display: grid;
    max-width: 1200px;
    grid-template-columns: 350px 1fr;
    padding: 40px;
    gap : 50px;
    margin: auto;
}

.side-bar .main-content{
    height: 90vh;
    border-radius: 10px;
    
}

.side-bar{
    padding: 40px;
    background-color: #201e36;
    background-color: transparent;
    backdrop-filter: blur(10px);
    border: 1px solid #3a3a3a;
    box-shadow: inset 0px 0px 15px 2px black;
    
}

.main-content{
    background-color: #201e36;
    height: 90vh;
    background-color: transparent;
    backdrop-filter: blur(10px);
    border: 1px solid #3a3a3a;
    padding: 40px;
    box-shadow:  0px 0px 15px 2px black;
}

.profile {
    text-align: center;
    
}

.profile h2{
    font-size: 1.5rem;
    font-weight: 700;
    margin-top: 20px;
    color: #e0e0e0;
}

.profile img{
    border: 1px solid #3a3a3a;
    height: 120px;
    width: 120px;
    border-radius: 50%;
    box-shadow: 0px 0px 15px 2px black;
}
.profile p{
    background-color: #1e1e1e;
    padding: 5px 15px;
    color: #ffbf00;
    border : 1px solid #3a3a3a;
    font-size : 0.8rem;
    border-radius: 8px;
    display : inline-block;
    margin-top: 10px;
    box-shadow:  0px 0px 15px 2px black;
}
.contact{
    margin-top: 30px;
    border-top : 2px solid #3a3a3a;
    padding-top: 20px ;
}
.lable{
    font-weight:500;
    font-size: 0.8rem;
    color: #a0a0a0;
}
.value{
    color: #e0e0e0;
    text-decoration: none;
}
.email , .phone{
    margin-bottom: 15px;
}

/* social media */

.social{
    margin-top: 30px;
    border-top : 2px solid #3a3a3a;
    padding-top: 20px ;
    text-align: center;
}
.social img{
    height : 24px;
    width: 24px;
    filter: grayscale(1) invert(0.7);
    transition: filter 0.3s ease;
}
.social img:hover{
    filter: grayscale(0) invert(0);
}

/* main content */


/* navigation */
#navigation{
    padding: 30px 20px;
    border-bottom : 2px solid #3a3a3a;
    margin-bottom: 20px;
    padding-bottom: 20px;
}

nav{
    display: flex;
    justify-content: flex-end;
    gap:3rem;
}

nav a{
    text-decoration: none;
    color: #a0a0a0;
    font-weight:500;
    transition: color 0.3s ease;
    

}
.active , nav a:hover{
    color:#ffbf00;
}

/* About me */
.heading{
    color: #e0e0e0;
    font-size: 2rem;
    margin-bottom: 15px;
}
.line{
    width: 60px;
    height:5px;
    background-color: #ffbf00;
    margin-bottom: 15px;
    box-shadow:  0px 0px 15px 2px black;
}
.content{
    text-align: justify;
    color: #a0a0a0;
}

#about{
    margin-bottom: 40px;
}


